Subject: RE: [ipfix-req] Requirements draft issues - Reinaldo 2

From: "Reinaldo Penno" <[email-masked]>
Date: Tue, 8 Oct 2002 15:37:47 -0700

sorry for the late response...some of these issues were already discussed on
recent threads.

Anyway, my qyestion still holds. Although the architecture draft is frozen,
should we port the requirementes found there to the requirements draft, e.g,
failover capabilities?

regards,

Reinaldo

> -----Original Message-----
> From: Benoit Claise [mailto:[email-masked]]
> Sent: Tuesday, October 01, 2002 4:07 AM
> To: Penno, Reinaldo [BL60:0430:EXCH]
> Cc: Juergen Quittek; [email-masked]
> Subject: Re: [ipfix-req] Requirements draft issues - Reinaldo 2
> 
> 
> Reinaldo,
> 
> > Issue Number : Reinaldo 2
> >
> > Issue:
> >
> > In the beggining of section 5.1 it is stated that
> >
> > "This is based on the requirements specified in the requirement
> >    document [2]."
> >
> You are referring to
> http://www.ietf.org/internet-drafts/draft-ietf-ipfix-architect
ure-02.txt
But the architecture draft work is on hold until we have consensus on 
the requirement draft and selected the candidate protocol.

Regards, Benoit.

> But I couldn't find a peer of some of the requirements from 
> architecture draft on the requirements draft. Will these be included 
> on the requirements draft? Excluded from the architecture? For example....
>
> 5.1.2. IPFIX Protocol on IPFIX Device (At Export Process)
>
>      1. Ability to detect loss of connectivity with the collector and
>         trigger the appropriate action (eg. a switch over to an
>         alternate collector.) <---
>      2. Optionally export flow records to multiple collectors.
>      3. Optionally re-transmit lost flow records. <---
>      4. Exchange control information from the collector, monitor export
>         process and detect any overload in the process of exporting. 
> <--- P
>
>
> Proposed Solution:
>
> I would suggest to just take out the requirement section from the 
> architecture draft and incorporate the relevant parts into the 
> requirements draft to avoid confusion and repetition. If people do not 
> agree it would be good if the editors of both documents would put them 
> side by side and compare the wording.
>